hpack-0.17.1: An alternative format for Haskell packages

Safe Haskell | None
Language | Haskell2010

Hpack.Run

# Documentation

run :: FilePath -> IO ([String], FilePath, String) #

renderPackage :: RenderSettings -> Alignment -> [String] -> [(String, [String])] -> Package -> String #

data RenderSettings #

Constructors

RenderSettings |
Fields renderSettingsIndentation :: Int renderSettingsFieldAlignment :: Alignment renderSettingsCommaStyle :: CommaStyle

Instances

Eq RenderSettings # |
Methods (==) :: RenderSettings -> RenderSettings -> Bool # (/=) :: RenderSettings -> RenderSettings -> Bool #
Show RenderSettings # |
Methods showsPrec :: Int -> RenderSettings -> ShowS # show :: RenderSettings -> String # showList :: [RenderSettings] -> ShowS #

newtype Alignment #

Constructors

Alignment Int |

Instances

Eq Alignment # |
Methods (==) :: Alignment -> Alignment -> Bool # (/=) :: Alignment -> Alignment -> Bool #
Num Alignment # |
Methods (+) :: Alignment -> Alignment -> Alignment # (-) :: Alignment -> Alignment -> Alignment # (*) :: Alignment -> Alignment -> Alignment # negate :: Alignment -> Alignment # abs :: Alignment -> Alignment # signum :: Alignment -> Alignment # fromInteger :: Integer -> Alignment #
Show Alignment # |
Methods showsPrec :: Int -> Alignment -> ShowS # show :: Alignment -> String # showList :: [Alignment] -> ShowS #

data CommaStyle #

Constructors

LeadingCommas |
TrailingCommas |

Instances

Eq CommaStyle # |
Methods (==) :: CommaStyle -> CommaStyle -> Bool # (/=) :: CommaStyle -> CommaStyle -> Bool #
Show CommaStyle # |
Methods showsPrec :: Int -> CommaStyle -> ShowS # show :: CommaStyle -> String # showList :: [CommaStyle] -> ShowS #

defaultRenderSettings :: RenderSettings #